=== debian/changelog ===
ros-foxy-robot-state-publisher (2.4.5-1focal) focal; urgency=high

  * Restore tf frame prefix support for ROS 2 (#159 <https://github.com/ros/robot_state_publisher/issues/159>) (#170 <https://github.com/ros/robot_state_publisher/issues/170>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 04 Aug 2021 00:00:00 -0000

ros-foxy-robot-state-publisher (2.4.2-1focal) focal; urgency=high

  * clean up license to be standard bsd 3 clause (#130 <https://github.com/ros/robot_state_publisher/issues/130>)
  * Update the maintainers. (#151 <https://github.com/ros/robot_state_publisher/issues/151>)
  * Contributors: Chris Lalancette, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-foxy-robot-state-publisher (2.4.1-1focal) focal; urgency=high

  * fix types in range loops to avoid copy due to different type (#143 <https://github.com/ros/robot_state_publisher/issues/143>)
  * Make sure not to crash on an invalid URDF. (#141 <https://github.com/ros/robot_state_publisher/issues/141>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 28 Sep 2020 00:00:00 -0000

ros-foxy-robot-state-publisher (2.4.0-1focal) focal; urgency=high

  * Replace deprecated launch_ros usage (#137 <https://github.com/ros/robot_state_publisher/issues/137>)
  * code style only: wrap after open parenthesis if not in one line (#129 <https://github.com/ros/robot_state_publisher/issues/129>)
  * Refactor the ROS 2 code to be more modern (#126 <https://github.com/ros/robot_state_publisher/issues/126>)
  * Switch to using TARGET_FILE to find the binary targets on Windows.
  * Fix tests on Windows.
  * Make the error message much nicer on Windows.
  * robot_state_publisher_node -> robot_state_publisher
  * Fix test build on Windows.
  * Get rid of redundant declaration.
  * Guard against negative publish_frequencies.
  * Switch to modern launch_testing ReadyToTest.
  * Add testing to robot_state_publisher.
  * Update some example launch files.
  * Implement the ability to change the parameters on the fly.
  * Fix silly bug while computing the publish interval.
  * Refactor to have a "setup" function during the constructor and later on during the parameter setup.
  * Mark things as explicit and final.
  * Update the documentation.
  * Make robot_state_publisher composable.
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-robot-state-publisher (2.3.1-1focal) focal; urgency=high

  * Switch the license back to BSD. (#121 <https://github.com/ros/robot_state_publisher/issues/121>)
  * Contributors: Chris Lalancette

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.3.0-1focal) focal; urgency=high

  * Install include directories (#31 <https://github.com/ros2/robot_state_publisher/issues/31>)
  * Publish URDF string on startup (#24 <https://github.com/ros2/robot_state_publisher/issues/24>)
  * Contributors: Patrick Beeson, Poh Zhi-Ee, Shane Loretz

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.2.4-1focal) focal; urgency=high

  * Remove unused Eigen3 dependency (#27 <https://github.com/ros2/robot_state_publisher/issues/27>) (#29 <https://github.com/ros2/robot_state_publisher/issues/29>)
  * Don't export exe as library (#25 <https://github.com/ros2/robot_state_publisher/issues/25>) (ros2 #28 <https://github.com/ros2/robot_state_publisher/issues/28>)
  * Contributors: Shane Loretz

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 06 Sep 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.2.3-1focal) focal; urgency=high

  * Use rclcpp::Time for stamping transforms (#20 <https://github.com/ros2/robot_state_publisher/issues/20>)
  * Contributors: Scott K Logan

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 12 Jun 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.2.2-1focal) focal; urgency=high

  * changes to avoid deprecated API's (#19 <https://github.com/ros2/robot_state_publisher/issues/19>)
  * Contributors: William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.2.1-1focal) focal; urgency=high

  * Updated to avoid deprecated API. (#18 <https://github.com/ros2/robot_state_publisher/issues/18>)
  * Contributors: William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.2.0-1focal) focal; urgency=high

  * Set urdf content as parameter. (#15 <https://github.com/ros2/robot_state_publisher/issues/15>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-foxy-robot-state-publisher (2.1.0-1focal) focal; urgency=high

  * The robot model is now published on the ``robot_description`` topic as a ``std_msgs/String.msg``. (#9 <https://github.com/ros2/robot_state_publisher/issues/9>)
  * Contributors: Brett, Mikael Arguedas

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-foxy-robot-state-publisher (1.13.4-1focal) focal; urgency=high

  * Use ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#60 <https://github.com/ros/robot_state_publisher/issues/60>)
  * Error log for empty JointState.position was downgraded to a throttled warning (#64 <https://github.com/ros/robot_state_publisher/issues/64>)
  * Contributors: Jochen Sprickerhof, Sébastien BARTHÉLÉMY

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 05 Jan 2017 00:00:00 -0000

ros-foxy-robot-state-publisher (1.13.3-1focal) focal; urgency=high

  * Added a new parameter "ignore_timestamp" (#65 <https://github.com/ros/robot_state_publisher/issues/65>)

